# Fast Execution Account

Before submitting any signature-related request, first call `/api/nonce` to retrieve a fresh nonce for anti-replay.

## POST /taker/api/simplelighting/get\_open\_limit

> Get Channel Opening Restrictions - Taker

```json
{"openapi":"3.0.1","info":{"title":"","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/taker/api/simplelighting/get_open_limit":{"post":{"summary":"Get Channel Opening Restrictions - Taker","deprecated":false,"description":"","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tick_a":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"tick_b":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"mod":{"type":"string","description":"taker or maker"}},"required":["tick_a","tick_b","mod"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"}," msg":{"type":"string"},"data":{"type":"object","properties":{"not_found_pool":{"type":"boolean","description":"Pool not found on dotswap"},"limit_amount_a":{"type":"integer"},"limit_amount_b":{"type":"integer"},"btc_min_amount":{"type":"integer"},"runes_min_amount":{"type":"integer"},"channel_usage_rates":{"type":"integer"}},"required":["limit_amount_a","limit_amount_b","btc_min_amount","runes_min_amount","channel_usage_rates","not_found_pool"]}},"required":["code"," msg","data"]}}},"headers":{}}}}}}}
```

## POST /taker/api/simplelighting/get\_sl\_config\_list

> Channel Aggregated Information List - Taker

```json
{"openapi":"3.0.1","info":{"title":"","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/taker/api/simplelighting/get_sl_config_list":{"post":{"summary":"Channel Aggregated Information List - Taker","deprecated":false,"description":"","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"mod":{"type":"string","description":"taker or maker"},"payer_asset_address":{"$ref":"#/components/schemas/addressInfo"},"payer_address":{"$ref":"#/components/schemas/addressInfo"}},"required":["mod","payer_asset_address","payer_address"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"}," msg":{"type":"string"},"data":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"tick_a":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"tick_b":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"sum_init_amount_a":{"type":"integer"},"sum_init_amount_b":{"type":"integer"},"sum_channel_amount_a":{"type":"integer","description":"Channel balance"},"sum_channel_amount_b":{"type":"integer","description":"Channel balance"},"status":{"type":"string","enum":["opening","open","closeing","close"]}},"required":["sum_init_amount_a","sum_init_amount_b","tick_a","sum_channel_amount_a","sum_channel_amount_b","status","tick_b"]}}},"required":["items"]}},"required":["code"," msg","data"]}}},"headers":{}}}}}},"components":{"schemas":{"addressInfo":{"type":"object","properties":{"address":{"type":"string"},"public_key":{"type":"string"}},"required":["address","public_key"]}}}}
```

## POST /taker/api/simplelighting/open\_simple\_lighting

> Open Channel - Taker

```json
{"openapi":"3.0.1","info":{"title":"","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/taker/api/simplelighting/open_simple_lighting":{"post":{"summary":"Open Channel - Taker","deprecated":false,"description":"","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tick_a":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"tick_b":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"tick_a_amount":{"type":"integer"},"tick_b_amount":{"type":"integer"},"mod":{"type":"string","description":"taker or maker"},"sign_info":{"$ref":"#/components/schemas/sigInfo"}},"required":["tick_a","tick_b","mod","tick_a_amount","tick_b_amount","sign_info"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"type":"object","properties":{"success":{"type":"string"}},"required":["success"]}},"required":["code","msg","data"]}}},"headers":{}}}}}},"components":{"schemas":{"sigInfo":{"type":"object","properties":{"sign_info":{"type":"string","title":"Signature information"},"address":{"type":"string","title":"Wallet address"},"public_key":{"type":"string","title":"Wallet public key"},"signature":{"type":"string","title":"Signature"}},"required":["sign_info","address","public_key","signature"]}}}}
```

## POST /taker/api/simplelighting/close\_simple\_lighting

> Manually Close Channel - Taker

```json
{"openapi":"3.0.1","info":{"title":"","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/taker/api/simplelighting/close_simple_lighting":{"post":{"summary":"Manually Close Channel - Taker","deprecated":false,"description":"","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tick_a":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"tick_b":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"mod":{"type":"string","description":"taker or maker"},"sign_info":{"$ref":"#/components/schemas/sigInfo"}},"required":["tick_a","tick_b","mod","sign_info"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"type":"object","properties":{"success":{"type":"string"}},"required":["success"]}},"required":["code","msg","data"]}}},"headers":{}}}}}},"components":{"schemas":{"sigInfo":{"type":"object","properties":{"sign_info":{"type":"string","title":"Signature information"},"address":{"type":"string","title":"Wallet address"},"public_key":{"type":"string","title":"Wallet public key"},"signature":{"type":"string","title":"Signature"}},"required":["sign_info","address","public_key","signature"]}}}}
```

## POST /taker/api/simplelighting/get\_sl\_settle\_infos

> Get Settlement Information List - Taker

```json
{"openapi":"3.0.1","info":{"title":"","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/taker/api/simplelighting/get_sl_settle_infos":{"post":{"summary":"Get Settlement Information List - Taker","deprecated":false,"description":"","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"payer_address":{"$ref":"#/components/schemas/addressInfo"},"payer_asset_address":{"$ref":"#/components/schemas/addressInfo"},"mod":{"type":"string","description":"taker or maker"},"settle_type":{"type":"string"},"start_time":{"type":"string"},"end_time":{"type":"string"},"page":{"type":"string"},"page_size":{"type":"string"}},"required":["mod","page","page_size","settle_type","start_time","end_time","payer_address","payer_asset_address"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"tick_a":{"type":"object","properties":{"tick":{"type":"string"},"token_id":{"type":"string"},"coin_type":{"type":"string"}},"required":["tick","coin_type","token_id"]},"tick_b":{"type":"object","properties":{"tick":{"type":"string"},"coin_type":{"type":"string"},"token_id":{"type":"string"}},"required":["tick","coin_type","token_id"]},"address":{"type":"string"},"record_time":{"type":"integer"},"settle_type":{"type":"string","enum":["account_fee_charged","activate","deactivate","on_chain_settle","reset_allowance","reset_allowance_fail"]},"init_allowance_a":{"type":"integer","description":"Initial allowance value"},"init_allowance_b":{"type":"integer","description":"Initial allowance value"},"on_chain_fee":{"type":"integer","description":"On-chain fee"},"account_usage_fee_a":{"type":"integer","description":"Account usage fee for tick_a"},"account_usage_fee_b":{"type":"string","description":"Account usage fee for tick_b"},"pre_wallet_balance_a":{"type":"integer","description":"Wallet balance before operation for tick_a"},"pre_wallet_balance_b":{"type":"string","description":"Wallet balance before operation for tick_b"},"post_wallet_balance_a":{"type":"string","description":"Wallet balance after operation for tick_a"},"post_wallet_balance_b":{"type":"string","description":"Wallet balance after operation for tick_b"},"pre_channel_balance_a":{"type":"string","description":"Channel balance before operation for tick_a"},"pre_channel_balance_b":{"type":"string","description":"Channel balance before operation for tick_b"},"post_channel_balance_a":{"type":"string","description":"Channel balance after operation for tick_a"},"post_channel_balance_b":{"type":"string","description":"Channel balance after operation for tick_b"},"txid":{"type":"string"},"status":{"type":"string","enum":["success","pending","fail"]}},"required":["address","record_time","settle_type","init_allowance_a","init_allowance_b","on_chain_fee","account_usage_fee_a","pre_wallet_balance_a","pre_wallet_balance_b","post_wallet_balance_a","post_wallet_balance_b","pre_channel_balance_a","pre_channel_balance_b","post_channel_balance_a","post_channel_balance_b","status","tick_a","tick_b","txid","account_usage_fee_b"]}}},"required":["items"]}},"required":["code","msg","data"]}}},"headers":{}}}}}},"components":{"schemas":{"addressInfo":{"type":"object","properties":{"address":{"type":"string"},"public_key":{"type":"string"}},"required":["address","public_key"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.on.nexus/dotswap/developers/nexus-protocol/taker/fast-execution-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
